Loading...
Searching...
No Matches
Services.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2016 Raritan Inc. All rights reserved.
*/
/**
* Network services configuration
*/
module net {
/** Network service settings */
structure ServiceSettings {
string service; ///< Service name
boolean enable; ///< \c true if the service is enabled
int port; ///< Service TCP port
};
/** Network services configuration interface */
interface Services {
constant int ERR_INVALID_PARAMS = 1; ///< Invalid parameters
/**
* Retrieve the network services settings.
*
* @param servicesSettings List of all network services settings
*/
void getSettings(out vector<ServiceSettings> servicesSettings);
/**
* Change the network services settings.
*
* This call changes the settings of one or more network services
* identified by name. Other services are not affected. The resulting
* configuration of all enabled services must be consistent, i.e.
* there must be not port collisions.
*
* @param servicesSettings List of network services settings to be changed
*
* @return 0 if OK
* @return 1 if any parameters were invalid
*/
int setSettings(in vector<ServiceSettings> servicesSettings);
};
}
net::Services
Network services configuration interface.
Definition Services.idl:19
net::Services::getSettings
void getSettings(out vector< ServiceSettings > servicesSettings)
Retrieve the network services settings.
net::Services::setSettings
int setSettings(in vector< ServiceSettings > servicesSettings)
Change the network services settings.
net
Network Configuration.
Definition Diagnostics.idl:9
net::ServiceSettings
Network service settings.
Definition Services.idl:12
net::ServiceSettings::port
int port
Service TCP port.
Definition Services.idl:15
net::ServiceSettings::service
string service
Service name.
Definition Services.idl:13
net::ServiceSettings::enable
boolean enable
true if the service is enabled
Definition Services.idl:14